
hci-attribute-configuration.hci-cod {
  flex-grow: 1;
  min-height: 100px;
}

.hci-attribute-configuration .card, .hci-attribute-configuration .card-body {
  padding: 0;
}

.hci-cod * {
  font-family: Helvetica, Arial, sans-serif;
}

.hci-cod .tab-pane {
  position: relative;
}

.hci-cod .attribute-container {
  position: relative;
  display: flex;
  background-color: #fafeff;
}

.hci-cod .attribute-container.flex {
  display: flex;
  flex-wrap: wrap;
  padding: 1rem;
}

.hci-cod .btn {
  padding: 0rem 0.4rem;
  margin-right: 0.1rem;
  margin-top: 0.1rem;
  margin-bottom: auto;
}

.hci-cod-edit {
  overflow-y: auto;
  max-height: calc(90vh - 8rem);
}

.hci-cod-edit .attribute {
  margin-bottom: 0.5rem;
}

.hci-cod .flex .attribute {
  margin-bottom: 1rem;

  /* prevent border on selected flex attributes shifting 1px */
  border: transparent 1px solid;
}

/* fix date icon on column edit */
.hci-cod-edit .mat-datepicker-toggle .mat-icon-button {
  line-height: unset;
  height: unset;
}

.hci-cod .flex .attribute-line {
  flex: 1 0 100%;
}

.hci-cod .cod-label {
  font-size: 0.7rem;
}

.hci-cod .cod-right-label {
  font-size: 0.7rem;
  white-space: nowrap;
  order: 2;
}

.hci-cod .cod-top-label {
  font-size: 0.7rem;
}

.hci-cod .absolute .cod-top-label {
  position: absolute;
  top: -1rem;
}

.hci-cod .cod-type-label .cod-top-label {
  top: 0rem;
}

.hci-cod input, .hci-cod textarea, .hci-cod select {
  width: 100%;
  font-size: 0.75rem;
}

.hci-cod .absolute .i-height {
  height: inherit;
}

.hci-cod .absolute .cod-type-ga {
  padding-left: 2px;
  padding-right: 2px;
}

.hci-cod .absolute input[type="checkbox"], .hci-cod .absolute .hci-cod-edit input[type="checkbox"] {
  width: 16px;
  height: 16px;
}

.hci-cod .absolute select {
  height: 16px;
  padding: 0;
}

.hci-cod .absolute hci-dictionary-dropdown {
  flex-grow: 1;
}

.hci-cod .flex input[type="checkbox"], .hci-cod .flex .hci-cod-edit input[type="checkbox"] {
  width: 1.25rem;
  height: 1.25rem;
}

.hci-cod .flex textarea {
  flex-grow: 1;
}

// The default form control size of the legacy metabuilder app seems
// to be 20px.
.hci-cod input.form-control, .hci-cod-edit input.form-control {
  height: 20px;
}

.hci-cod select.form-control, .hci-cod-edit select.form-control {
  height: 20px;
}

.hci-cod input[type="checkbox"] {
  width: 1.25rem;
  height: 1.25rem;
}

.hci-cod .cod-line {
  height: 1px;
  width: 0.7rem;
  border: black 1px solid;
}

.hci-cod .cod-line.grow {
  width: 100%;
}

.hci-cod .absolute select:disabled {
  background-color: rgb(235, 235, 228);
}

.hci-cod .absolute hci-dropdown .select-container ul {
  font-size: 0.75rem;
  padding: 0;
}

.hci-cod-edit .btn-ga {
  padding: 0rem 0.2rem;
  height: 1.5rem;
}

.btn-green {
  color: green;
  background-color: lightgreen;
  border-color: green;
}

.btn-red {
  color: darkred;
  background-color: lightcoral;
  border-color: darkred;
}

.hci-cod-edit .ga-icon {
  margin-top: -0.15rem;
  display: block;
}

.hci-cod-edit .add-grid-row {
  margin: 1rem;
  background-color: #e6f0f5;
  padding: 0.5rem;
}

#grid-container.core-default.cod {
  font-size: 0.75rem;
  background-color: #e6f0f5;
}

#grid-container.core-default.cod .hci-grid-row {
  height: 20px;
}

.nav-tabs .nav-item .nav-link, .nav-tabs .nav-link {
  color: #3d7a99;
  background-color: #e6f0f5;
  border-color: #dee2e6 #dee2e6 #e6f0f5;
}

.nav-tabs .nav-item.show .nav-link, .nav-tabs .nav-link.active {
  color: #3d7a99;
  background-color: #fafeff;
  border-color: #dee2e6 #dee2e6 #fafeff;
}

/* Don't allow COD edit form controls to have
   width greater than bootstrap modal width */
.modal-body.hci-cod-edit input,
.modal-body.hci-cod-edit select {
  max-width: stretch;
  max-width: -moz-available;
  max-width: -webkit-fill-available;
}

/***
 COD ag-grid styling
 ***/

.hci-cod .ag-theme-balham {
  font-size: .7rem;
  font-family: Helvetica, Arial, sans-serif;
}

/* These changes are needed to fit the header and value in the cells */
.hci-cod .ag-theme-balham .ag-cell,
.hci-cod .ag-theme-balham .ag-header-cell,
.hci-cod .ag-theme-balham .ag-header-group-cell {
  padding-left: 0.1rem;
  padding-right: 0.1rem;
}

.hci-cod .ag-theme-balham .ag-header-group-cell-label,
.hci-cod .ag-theme-balham .ag-header-cell-label {
  justify-content: center;
}
